<?php
declare( strict_types=1 );

namespace FiboFilters\Blocks;

use FiboFilters\Blocks\Filters as FiltersBlock;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Blocks class
 */
class Blocks {
	/** @var FiltersBlock */
	private $filters_block;

	public function __construct( FiltersBlock $filters_block ) {
		$this->filters_block = $filters_block;
	}

	public function init(): void {
		add_action(
			'init',
			function () {
				$this->filters_block->init();
			}
		);
	}
}
